package sgc.portal.cw.cw0605.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0605.dto.CW06050001USearch;
import sgc.portal.cw.cw0605.model.CW06050001U;

import java.util.List;

@Mapper
public interface CW06050001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW06050001USearch search);
    
    List<EasyHashMap<String, Object>> getListQuetion(CW06050001USearch search);
    
    List<EasyHashMap<String, Object>> getListSafeAnswer(CW06050001USearch search);

    int insert(CW06050001U cW06050001U);

    int update(CW06050001U cW06050001U);

    int delete(CW06050001U cW06050001U);
    
    void saveSafeAnswer(CW06050001U cW06050001U);
    
    void deleteSafeAnswer(CW06050001U cW06050001U);
    
    int approve(CW06050001U cW06050001U);

	int selectSeq(CW06050001U cW06050001U);

	int selectCoId(CW06050001U cW06050001U);
}
